Method: projects.locations.brands.stores.list

Lists stores.

HTTP request

GET https://foodorderingaiagent.googleapis.com/v1/{parent=projects/*/locations/*/brands/*}/stores

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent brand, which owns this collection of stores. Format: projects/{project}/locations/{location}/brands/{brand}

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of menus to return. The service may return fewer than this value.

pageToken

string

Optional. A page token, received from a previous ListMenus call. Provide this to retrieve the subsequent page.

filter

string

Optional. Filter expression based on AIP-160. Allows filtering stores based on various attributes. Supported Filter Fields:

  • status (String): The status of the store. Operators: =, != Example: status = "ACTIVE" (enum value)

  • updateTime (Timestamp): The last updated time of the store. Timestamps expect an RFC-3339 formatted string (e.g. 2012-04-21T11:30:00-04:00). UTC offsets are supported Operators: =, !=, >, >=, <, <= Example: updateTime >= "2025-10-01T00:00:00Z"

  • tags (String): Tags associated with the store. Operator: : (HAS) Example: tags:"store-tag"

  • city (String): The city of the store. Operators: =, != Example: city = "Mountain View"

  • state (String): The state of the store address. Operators: =, != Example: state = "CA"

Logical Operators:

Conditions can be combined using AND, OR, and NOT. Parentheses () can be used to group expressions to control the order of evaluation. Example: status = "ACTIVE" AND state = "CA"

Request body

The request body must be empty.

Response body

Response message for MenuService.ListStores.

If successful, the response body contains data with the following structure:

JSON representation
{
  "stores": [
    {
      object (Store)
    }
  ],
  "nextPageToken": string
}
Fields
stores[]

object (Store)

The stores from the specified collection.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.